iostream.h File Reference

iostream class More...

`#include "istream.h"`
`#include "ostream.h"`
Include dependency graph for iostream.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | iostream
| Input/Output stream. More...
struct | setfill
| type for setfill manipulator More...
struct | setprecision
| type for setprecision manipulator More...
struct | setw
| type for setw manipulator More...

## Functions

ostream & | endl (ostream &os)
ostream & | flush (ostream &os)
ostream & | operator<< (ostream &os, const setfill &arg)
ostream & | operator<< (ostream &os, const setprecision &arg)
ostream & | operator<< (ostream &os, const setw &arg)
istream & | operator>> (istream &obj, const setfill &arg)
istream & | operator>> (istream &is, const setprecision &arg)
istream & | operator>> (istream &is, const setw &arg)
istream & | ws (istream &is)

## Detailed Description

iostream class

## Function Documentation

ostream& endl | ( | ostream & | os | ) |

inline

insert endline

Parameters

  [in] | os | The Stream

Returns
  The stream

ostream& flush | ( | ostream & | os | ) |

inline

flush manipulator

Parameters

  [in] | os | The stream

Returns
  The stream

ostream& operator<< | ( | ostream & | os,
|  | const setfill & | arg
| ) |  |

inline

setfill manipulator

Parameters

  [in] | os | the stream
  [in] | arg | set setfill object

Returns
  the stream

ostream& operator<< | ( | ostream & | os,
|  | const setprecision & | arg
| ) |  |

inline

setprecision manipulator

Parameters

  [in] | os | the stream
  [in] | arg | set setprecision object

Returns
  the stream

ostream& operator<< | ( | ostream & | os,
|  | const setw & | arg
| ) |  |

inline

setw manipulator

Parameters

  [in] | os | the stream
  [in] | arg | set setw object

Returns
  the stream

istream& operator>> | ( | istream & | obj,
|  | const setfill & | arg
| ) |  |

inline

setfill manipulator

Parameters

  [in] | obj | the stream
  [in] | arg | set setfill object

Returns
  the stream

istream& operator>> | ( | istream & | is,
|  | const setprecision & | arg
| ) |  |

inline

setprecision manipulator

Parameters

  [in] | is | the stream
  [in] | arg | set setprecision object

Returns
  the stream

istream& operator>> | ( | istream & | is,
|  | const setw & | arg
| ) |  |

inline

setw manipulator

Parameters

  [in] | is | the stream
  [in] | arg | set setw object

Returns
  the stream

istream& ws | ( | istream & | is | ) |

inline

Skip white space

Parameters

  [in] | is | the Stream

Returns
  The stream